#!/usr/bin/perl

use HTML::Entities;

use strict;
use warnings;

unless(open(FILE,"<:utf8","d2"))
{
	die "Could not open file: $!\n";
}

my @file=();
while(<FILE>)
{
	push @file,$_;
}
close(FILE);

my @out=();
print "Test starting...\n";
foreach (@file)
{
	my $line=$_;

	my $new=HTML::Entities::encode_entities($line);

	push @out,$new;
}
print "Processed text follows:\n";
foreach (@out)
{
	print $_;
}
print "All done\n";
	
